aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFredrik Thulin <fredrik@thulin.net>2017-09-26 12:20:54 +0200
committerFredrik Thulin <fredrik@thulin.net>2017-09-26 12:20:54 +0200
commit8290447d610bc6decbad2dde22e0578b6393b271 (patch)
tree4e3dc31a70f77675203d3c43b870fa7283c25335
parentbb2fdb5a042e3187b37cabe469fb733e1d5c8c38 (diff)
less litter in the rev03-KiCAD directory
-rwxr-xr-xconvert.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/convert.sh b/convert.sh
index 6f86a4d..9a8f639 100755
--- a/convert.sh
+++ b/convert.sh
@@ -83,9 +83,11 @@ ls Cryptech\ Alpha.sch rev02*sch | while read file; do
done
# Make further modifications to the layout using KiCAD's Python bindings
-cp "Cryptech Alpha.kicad_pcb" "Cryptech Alpha.kicad_pcb.a2k-out"
+mkdir ../tmp
+cp "Cryptech Alpha.kicad_pcb" "../tmp/Cryptech Alpha.kicad_pcb.a2k-out"
../fix-pcb.py "Cryptech Alpha.kicad_pcb" "Cryptech Alpha.kicad_pcb"
-diff -u "Cryptech Alpha.kicad_pcb.before-fix-pcb" "Cryptech Alpha.kicad_pcb" || true
+mv "Cryptech Alpha.kicad_pcb.before-fix-pcb" ../tmp
+diff -u "../Cryptech Alpha.kicad_pcb.before-fix-pcb" "Cryptech Alpha.kicad_pcb" || true
echo ""
echo "Done. The leftovers from conversion is in ${altiumdir}, and you can start KiCad like this:"